Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class ResolutionModule

    java.lang.Object
      com.google.inject.PrivateModule
          com.google.gwt.inject.rebind.resolution.ResolutionModule

All Implemented Interfaces:
  Module

    public class ResolutionModule

extends PrivateModule

Bindings for components of the resolver.

Constructor Summary
`ResolutionModule()`

Method Summary
`protected void` | `configure()`

Methods inherited from class com.google.inject.PrivateModule
`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindScope, configure, convertToTypes, currentStage, expose, expose, expose, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolutionModule

    public ResolutionModule()

Method Detail

### configure

    protected void configure()

  Specified by:
    `configure` in class `PrivateModule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD